extends Scene


func _on_gnomes_cottage_interacted() -> void:
	$kq4_022_gnomes_cottage.default_script(self)


func _on_spooky_house_exterior_interacted() -> void:
	$kq4_017_spooky_house_exterior.default_script(self)


func _on_waterfall_and_pool_interacted() -> void:
	$kq4_024_waterfall_and_pool.default_script(self)


func _on_dense_forest_interacted() -> void:
	$kq4_029_dense_forest.default_script(self)


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("You are walking through a forest thick with pine trees. A nearby river rushes westward from the distant mountain range. In the distance, you see a large house.")
	).build(self, "_on_script_complete"))


func _on_cottage_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("A cottage stands among the pine trees. Smoke rises from the chimney.")
	).build(self, "_on_script_complete"))
